RDCode: RDNumeric::SquareMatrix< TYPE > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# RDNumeric::SquareMatrix< TYPE > Class Template Reference

`#include <SquareMatrix.h>`

Inheritance diagram for RDNumeric::SquareMatrix< TYPE >:

List of all members.

## Public Member Functions
| SquareMatrix ()
| brief Square matrix of size N
| SquareMatrix (unsigned int N)
| SquareMatrix (unsigned int N, TYPE val)
| SquareMatrix (unsigned int N, typename Matrix< TYPE >::DATA_SPTR data)
virtual SquareMatrix < TYPE > & | operator *= (TYPE scale)
| Multiplication by a scalar.
virtual SquareMatrix < TYPE > & | operator *= (const SquareMatrix< TYPE > &B)
| In place matrix multiplication.
virtual SquareMatrix < TYPE > & | transposeInplace ()
| In place matrix transpose.

## Detailed Description

### template<typename TYPE>
class RDNumeric::SquareMatrix< TYPE >

Definition at line 12 of file SquareMatrix.h.

## Constructor & Destructor Documentation

template<typename TYPE>

RDNumeric::SquareMatrix< TYPE >::SquareMatrix | ( |  | ) | `[inline]`

brief Square matrix of size N

Definition at line 15 of file SquareMatrix.h.

template<typename TYPE>

RDNumeric::SquareMatrix< TYPE >::SquareMatrix | ( | unsigned int | N | ) | `[inline, explicit]`

Definition at line 17 of file SquareMatrix.h.

template<typename TYPE>

RDNumeric::SquareMatrix< TYPE >::SquareMatrix | ( | unsigned int | N,
|  | TYPE | val |
| ) |  |  | `[inline]`

Definition at line 19 of file SquareMatrix.h.

template<typename TYPE>

RDNumeric::SquareMatrix< TYPE >::SquareMatrix | ( | unsigned int | N,
|  | typename Matrix< TYPE >::DATA_SPTR | data |
| ) |  |  | `[inline]`

Definition at line 21 of file SquareMatrix.h.

## Member Function Documentation

template<typename TYPE>

virtual SquareMatrix<TYPE>& RDNumeric::SquareMatrix< TYPE >::operator *= | ( | TYPE | scale | ) | `[inline, virtual]`

Multiplication by a scalar.

Reimplemented from RDNumeric::Matrix< TYPE >.

Definition at line 27 of file SquareMatrix.h.

template<typename TYPE>

virtual SquareMatrix<TYPE>& RDNumeric::SquareMatrix< TYPE >::operator *= | ( | const SquareMatrix< TYPE > & | B | ) | `[inline, virtual]`

In place matrix multiplication.

Definition at line 33 of file SquareMatrix.h.

template<typename TYPE>

virtual SquareMatrix<TYPE>& RDNumeric::SquareMatrix< TYPE >::transposeInplace | ( |  | ) | `[inline, virtual]`

In place matrix transpose.

Definition at line 62 of file SquareMatrix.h.

The documentation for this class was generated from the following file:

- SquareMatrix.h